darcs-2.12.5: a distributed, interactive, smart revision control system

Maintainer | darcs-devel@darcs.net
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Merge

Description

Synopsis

- class Commute p => Merge p where
- selfMerger :: Merge p => MergeFn p p
- mergeFL :: Merge p => (p :\/: FL p) wX wY -> (FL p :/\: p) wX wY

# Documentation

class Commute p => Merge p where #

Things that can always be merged

Minimal complete definition

merge

Methods

merge :: (p :\/: p) wX wY -> (p :/\: p) wX wY #

Instances

Merge DummyPatch # |
Methods merge :: (DummyPatch :\/: DummyPatch) wX wY -> (DummyPatch :/\: DummyPatch) wX wY #
Merge p => Merge (RL p) # |
Methods merge :: (RL p :\/: RL p) wX wY -> (RL p :/\: RL p) wX wY #
Merge p => Merge (FL p) # |
Methods merge :: (FL p :\/: FL p) wX wY -> (FL p :/\: FL p) wX wY #
Merge p => Merge (Named p) # |
Methods merge :: (Named p :\/: Named p) wX wY -> (Named p :/\: Named p) wX wY #
PrimPatch prim => Merge (RepoPatchV2 prim) # |
Methods merge :: (RepoPatchV2 prim :\/: RepoPatchV2 prim) wX wY -> (RepoPatchV2 prim :/\: RepoPatchV2 prim) wX wY #
Merge p => Merge (LabelledPatch p) # |
Methods merge :: (LabelledPatch p :\/: LabelledPatch p) wX wY -> (LabelledPatch p :/\: LabelledPatch p) wX wY #
Merge p => Merge (WrappedNamed rt p) # |
Methods merge :: (WrappedNamed rt p :\/: WrappedNamed rt p) wX wY -> (WrappedNamed rt p :/\: WrappedNamed rt p) wX wY #
Merge p => Merge (PatchInfoAnd rt p) # |
Methods merge :: (PatchInfoAnd rt p :\/: PatchInfoAnd rt p) wX wY -> (PatchInfoAnd rt p :/\: PatchInfoAnd rt p) wX wY #

selfMerger :: Merge p => MergeFn p p #

mergeFL :: Merge p => (p :\/: FL p) wX wY -> (FL p :/\: p) wX wY #